net.corda.core.crypto

## Class AnonymousParty

- net.corda.core.crypto.AbstractParty
- - net.corda.core.crypto.AnonymousParty

-     public class AnonymousParty
      extends AbstractParty

  The `class AnonymousParty` class contains enough information to uniquely identify a `class Party` while excluding private information such as name. It is intended to represent a party on the distributed ledger.

  See Also:
    `class AnonymousParty`, `class Party`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnonymousParty(CompositeKey owningKey)` The `class AnonymousParty` class contains enough information to uniquely identify a `class Party` while excluding private information such as name. It is intended to represent a party on the distributed ledger.
    `AnonymousParty(java.security.PublicKey owningKey)` A helper constructor that converts the given PublicKey in to a `class CompositeKey` with a single node

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `nameOrNull()`
    `PartyAndReference` | `ref(OpaqueBytes bytes)`
    `AnonymousParty` | `toAnonymous()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.corda.core.crypto.AbstractParty

      `equals, getOwningKey, hashCode, nameOrNull, ref, ref, toAnonymous`

- - ### Constructor Detail

    - #### AnonymousParty

          public AnonymousParty(CompositeKey owningKey)

      The `class AnonymousParty` class contains enough information to uniquely identify a `class Party` while excluding private information such as name. It is intended to represent a party on the distributed ledger.

      See Also:
        `class AnonymousParty`, `class Party`

    - #### AnonymousParty

          public AnonymousParty(java.security.PublicKey owningKey)

      A helper constructor that converts the given PublicKey in to a `class CompositeKey` with a single node

      See Also:
        PublicKey, `class CompositeKey`

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### nameOrNull

          public java.lang.String nameOrNull()

    - #### ref

          public PartyAndReference ref(OpaqueBytes bytes)

    - #### toAnonymous

          public AnonymousParty toAnonymous()